Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.leafset
Class LSRangeCannotBeDeterminedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  rice.p2p.commonapi.RangeCannotBeDeterminedException
                      rice.pastry.leafset.LSRangeCannotBeDeterminedException

All Implemented Interfaces:
  java.io.Serializable

    public class LSRangeCannotBeDeterminedException

extends RangeCannotBeDeterminedException

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  Jeff Hoye
See Also:
  Serialized Form

Field Summary
`NodeHandle` | `nh` DESCRIBE THE FIELD
`int` | `pos` DESCRIBE THE FIELD
`int` | `r` DESCRIBE THE FIELD
`int` | `uniqueCount` DESCRIBE THE FIELD

Constructor Summary
`LSRangeCannotBeDeterminedException(java.lang.String string, int r, int pos, int uniqueNodes, NodeHandle nh, LeafSet ls)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### r

    public int r

  DESCRIBE THE FIELD

### pos

    public int pos

  DESCRIBE THE FIELD

### uniqueCount

    public int uniqueCount

  DESCRIBE THE FIELD

### nh

    public NodeHandle nh

  DESCRIBE THE FIELD

Constructor Detail

### LSRangeCannotBeDeterminedException

    public LSRangeCannotBeDeterminedException(java.lang.String string,
                                              int r,
                                              int pos,
                                              int uniqueNodes,
                                              NodeHandle nh,
                                              LeafSet ls)

Parameters:
  `string` -
  `r` - DESCRIBE THE PARAMETER
  `pos` - DESCRIBE THE PARAMETER
  `uniqueNodes` - DESCRIBE THE PARAMETER
  `nh` - DESCRIBE THE PARAMETER
  `ls` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.